# fasta-get-markov

Usage: fasta-get-markov <q> [options]

Description:

`fasta-get-markov` estimates a Markov model from a FASTA file of sequences. It Ignores (removes) ambiguous characters before computing the model. Both strands of DNA are combined unless -norc is set.

Input:

- Sequences in FASTA format from `stdin`

Output:

- Writes the Markov model in background model format to `stdout`.

Options:

- `-m <n>` - Order of Markov model to use. Default value is 0.
- `-norc` - Do not combine forward and reverse complement frequencies.
- `-p` - Use protein alphabet. Default is to use DNA alphabet.

Bugs: None known.

Author: Tim Bailey